# RssFeedFormat Class Reference
[Feed's parsers]

Inheritance diagram for RssFeedFormat:
[legend]

List of all members.

## Public Member Functions

| getChannelWorker ()
| getItemWorker ()
| isAcceptable (SimpleXMLElement $xmlFeed)

## Static Public Member Functions

static | me ()

## Public Attributes

const | VERSION = '2.0'

## Detailed Description

Definition at line 15 of file RssFeedFormat.class.php.

## Member Function Documentation

RssFeedFormat::getChannelWorker | ( |  | ) |

Returns:
  RssChannelWorker

Reimplemented from FeedFormat.

Definition at line 30 of file RssFeedFormat.class.php.

References me().

Here is the call graph for this function:

RssFeedFormat::getItemWorker | ( |  | ) |

Returns:
  RssItemWorker

Reimplemented from FeedFormat.

Definition at line 38 of file RssFeedFormat.class.php.

References me().

Here is the call graph for this function:

RssFeedFormat::isAcceptable | ( | SimpleXMLElement $ | xmlFeed | ) |

Reimplemented from FeedFormat.

Definition at line 43 of file RssFeedFormat.class.php.

static RssFeedFormat::me | ( |  | ) | `[static]`

Returns:
  RssFeedFormat

Definition at line 22 of file RssFeedFormat.class.php.

References Singleton::getInstance().

Referenced by FeedReader::__construct(), getChannelWorker(), and getItemWorker().

Here is the call graph for this function:

## Member Data Documentation

const RssFeedFormat::VERSION = '2.0'

Definition at line 17 of file RssFeedFormat.class.php.

Referenced by YandexRssFeedFormat::isAcceptable().

The documentation for this class was generated from the following file:

- main/Markup/Feed/RssFeedFormat.class.php